Page MenuHomePhabricator

Move commit-message-validator.py tool out of integration/jenkins repository
Closed, ResolvedPublic

Description

The commit-message-validator.py tool should be developed in its own repo instead of integration/jenkins, mainly because the people working on it (Fabian and John) don't have +2 in that repo. Also we likely want this tool to be standalone so people can set it up with git hooks locally or whatever.

Event Timeline

Legoktm created this task.Dec 16 2015, 1:15 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, XZise, jayvdb.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 16 2015, 1:15 AM

We can request a repo be created and have those two users as authors so they can have +2 rights in the new repo. What should we name the repo.

hashar triaged this task as Medium priority.Jan 5 2016, 1:21 PM
hashar set Security to None.
jayvdb added a comment.Jan 5 2016, 2:26 PM

Currently it only has a dependency on Git, but it requires a Gerrit Change-Id line and implements https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines , so IMO it should be gerrit-commit-message-validator.

I suspect that in the future, we will be using Phabricator's Differential, and if a client side tool is needed it will be very different, using API Method: differential.parsecommitmessage.

Ok. I've made the request here https://www.mediawiki.org/wiki/Git/New_repositories/Requests please make sure I entered the correct details.

Legoktm closed this task as Resolved.Feb 7 2018, 2:38 AM
Legoktm claimed this task.

This happened, it's now integration/commit-message-validator.